#!/bin/sh -e
# startup-prog.sh
# Shell commands to be executed at startup
# Start node.js scripts as processes
#

# Do not run node.js here as a process
# if program (script) is blocking, next call will never happen
# ; Maybe it will work with & ; Yes, it works!
#

node /root/oled-time-print.js &
# node /root/check-wifi.js &
node /root/remote-light.js &

expled 0xff0000
expled 0x00ff00
expled 0x0000ff
sleep 3 # wait for 3 seconds
expled 0xff0000
expled 0x00ff00
expled 0x000040
oled-exp -i write Starting...
sleep 40 # Wait until wifi interface gets up
ifconfig | grep apcli0 -A 1 | grep inet > /root/ip-addr-apcli0.log
ifconfig | grep wlan -A 1 | grep inet > /root/ip-addr-wlan.log
uci get  system.@system[0].hostname > /root/hostname.log
time=$(date +"%H:%M:%S")
done="Started: $time"
oled-exp -c write "$done"
sleep 30
node /root/blynk-service.js
